import { EventEmitter } from '@angular/core';
import { ServerModel, QMAP } from '../qmap.types';
import { QMAPService } from '../qmap.service';
import * as i0 from "@angular/core";
export declare class EditorComponent {
    private service;
    loading: boolean;
    error: any;
    qMap: QMAP[];
    model: ServerModel;
    change: EventEmitter<any>;
    close: EventEmitter<any>;
    errorEmitter: EventEmitter<any>;
    canWrite: boolean;
    canDel: boolean;
    constructor(service: QMAPService);
    ngOnInit(): void;
    onSave(): void;
    nuke(): void;
    onCNX(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EditorComponent, "qmap-editor", never, { "qMap": "qMap"; "model": "model"; }, { "change": "qmap-change"; "close": "close"; "errorEmitter": "error"; }, never, never, false, never>;
}
