import { QMAP, ServerModel } from "./qmap.types";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export declare class QMAPService {
    posionPill: {
        id: string;
    };
    constructor();
    objectTypeQMap(objString: string): QMAP[];
    objectsForQMap(qMap: QMAP, searchString?: string, superModel?: any): Observable<ServerModel[]>;
    isModel(obj: any): boolean;
    findCachedModel(qmap: QMAP, id: number): ServerModel;
    makeModel(qmap: QMAP): ServerModel;
    canWrite(sm: ServerModel): boolean;
    canDelete(sm: ServerModel): boolean;
    absURL(sn: ServerModel, fn: string, stopCache?: boolean): string;
    flattenQMAP(qMap: QMAP[]): QMAP[];
    static ɵfac: i0.ɵɵFactoryDeclaration<QMAPService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<QMAPService>;
}
