import { ChangeDetectorRef } from '@angular/core';
import { QuestionComponent } from './questions.component';
import * as i0 from "@angular/core";
export declare class QuestionValidatorDirective {
    private changeDetector;
    private parentValidator;
    questions: QuestionComponent[];
    validQuestions: QuestionComponent[];
    invalidQuestions: QuestionComponent[];
    valid: boolean;
    constructor(changeDetector: ChangeDetectorRef, parentValidator: QuestionValidatorDirective);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    registerQuestion(q: QuestionComponent): void;
    unregisterQuestion(q: QuestionComponent): void;
    updateQuestionState(q: QuestionComponent, valid: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QuestionValidatorDirective, [null, { optional: true; skipSelf: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QuestionValidatorDirective, "qmap-validator,[qmap-validator]", ["qmap-validator"], {}, {}, never, never, false, never>;
}
